 
function message(retour)
{	 
	//alert("Welcome " + retour );
		
	//document.write("<script type="text/javascript" src="diaporama/js/jquery.jDiaporama.js"></script>");
	//document.write("<script type="text/javascript" src="diaporama/js/script.js"></script>");
	
	var elem = retour.split('*');
	result = elem[0];
	page = elem[1];
				
	var target = document.getElementById("statut");
	
	if(result == 1)
	{    //alert("Mauvais login. Ne fait pas partie de membres?");
		target.innerHTML = "Mauvais login. Ne fait pas partie de membres ?";
	}
	
	if(result == 2)
	{   //alert("Mauvais password. Merci de recommencer");
		target.innerHTML = "Mauvais password. Merci de recommencer";
	}

	if(result == 3)
	{   //alert("Mauvais password. Merci de recommencer");
		target.innerHTML = "Compte non actif";
	}
	
	if(result == 4)
	{   //alert("Mauvais password. Merci de recommencer");
		//http://www.pjb.com.au/comp/diacritics.html
		// table octal 
		//target.innerHTML = "Vous  êtes  déjà connecté !.";
		//alert("Vous  êtes  déjà connecté !.");
		//$( "#dialog" ).dialog();
		target.innerHTML = "Vous &ecirc;tes d&eacute;j&agrave; connect&eacute; !.";
	}

	if(result == 5)
	{
		 document.loginForm.valide_login.value = "ok";
		 //document.getElementById("valide_login").value = "ok";
		 var toto = document.loginForm.valide_login.value;
		 
		 var utilisateur = document.getElementById('idlogin').value;
		 
		 alert("Bienvenue " + utilisateur );
		 //alert("Welcome " + elem[1] );
		 document.location.href = elem[1];
		 //document.getElementById('message').innerHTML = "turlutututu";
				 
		/* $(function()
				{
							$( "#message_connexion" ).dialog({
							modal: true,
							title: "Infos",
							buttons: {
										Ok: function()
										{
											$( this ).dialog( "close" );
											document.location.href = elem[1];
										}
									 }
								});
				});
		 */
		
		 
		 //alert(toto);
		 // document.loginForm.getElementById('valide_login').value="ok";
		 //document.location.href="acceuil.php" 
		 //echo "<script>window.opener.location.reload();window.close();</script>";

		 //document.location.href="acceuil.php"
		//document.location.href = elem[1];
		 
		// window.opener.location.reload();
		 
		//document.location.href="connexion_membre.php" 
		//var toto = document.loginForm.getElementById('valide_login').value;
		//alert(toto);
		//loginForm
		//target.innerHTML = "Bravo, vous êtes connecté";
	}

	
}	 


function getXhr()
{
                var xhr = null; 
				if(window.XMLHttpRequest) // Firefox et autres
				   xhr = new XMLHttpRequest(); 
				else if(window.ActiveXObject){ // Internet Explorer 
				   try {
			                xhr = new ActiveXObject("Msxml2.XMLHTTP");
			            } catch (e) {
			                xhr = new ActiveXObject("Microsoft.XMLHTTP");
			            }
				}
				else { // XMLHttpRequest non supporté par le navigateur 
				   alert("Votre navigateur ne supporte pas les objets XMLHTTPRequest..."); 
				   xhr = false; 
				} 
                return xhr
}

function valider_connexion()
{
				
				var xhr = getXhr()
				// On défini ce qu'on va faire quand on aura la réponse
				xhr.onreadystatechange = function(){
					// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
					if(xhr.readyState == 4 && xhr.status == 200){
						//alert(xhr.responseText);
						message(xhr.responseText);
						//xhr_object.responseText
					}
				}
				
				//var login = "vincent";
				//var pass  = "coco@free.fr";
				
				var login = document.getElementById('idlogin').value;
				var pass = document.getElementById('idpassword').value;
				
				//var url = "reponse_ajax.php?listing=" +data + "&id=" +user;
					
				var url = "login.php?login=" +login+ "&pass=" +pass;
					
				xhr.open("GET",url,true);
				xhr.send(null);
}
